﻿<!DOCTYPE html>
<html>
  <head>
    {% include '/g/head.njk' %}

    <link rel=stylesheet flyauth_href="theme.less.css">
	</head> 
  <body>
    {% include '/g/header.njk' %}

    <div class="controls">
      <div class="actions">
        <button id="select-all-btn">&#xF102;</button>
        <button id="deselect-all-btn">&#xF101;</button>
        <button id="delete-btn">&#xF108;</button>
      </div>

      <div class="media-upload">
        <label for="media-upload">{{ lang.upload.instruct }}</label>
        <input type="file" id="media-upload" name="file" accept="image/*, audio/*, video/*" multiple="multiple" autocomplete=off>
        <div class="selected-files"></div>
        <input type="submit" value="{{ lang.upload.submit }}" disabled=disabled>
      </div>

      <div class="order">
        <button id="sort-desc">&#xF104;</button>
        <select id="sort-value">
          <option value=name>{{ lang.sort.name }}</option>
          <option value=date selected=true>{{ lang.sort.date }}</option>
        </select>
      </div>
    </div>


    <div id="select-media-items" class="select-grid">

    </div>

      
    {% include '/g/footer.njk' %}
	</body>
  <script nonce="{{ csp_nonce }}">
    const album_name = "{{ album_name }}";
    const page_size = "{{ page_size }}";
    const page_count = "{{ page_count }}";
    const media_page_size = page_size;
    const media_page_count = page_count;
    let total_item_count = {{ total_item_count }};
    let current_page_index = 0;

    const CURRENT_LANGUAGE = "{{ current_language }}";
    const LANG = JSON.parse(`{{ lang | dump | safe }}`);
  </script>
  <script flyauth_src="main.js"></script>
</html>
